Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Sep 2014, 18:30
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy 5.2.8 - Updated ISO Version 005 - APR 05 2012
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 103 of 190 Posts_count   Goto page: Previous 1, 2, 3, ..., 101, 102, 103, 104, 105, ..., 188, 189, 190 Next
Author Message
bigpup


Joined: 11 Oct 2009
Posts: 5142
Location: Charleston S.C. USA

PostPosted: Thu 12 Apr 2012, 03:04    Post_subject: Re: Stellarium  

Volhout wrote:

And I will try a frugal install. Maybe there is a difference.

How Puppy is installed should not have an effect, other than make sure there is enough space in the save file for Stelarium to download and install. It will use 2 to 3 times it's size in installing, because it un-compresses and then installs.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
tronkel


Joined: 30 Sep 2005
Posts: 1101
Location: Vienna Austria

PostPosted: Thu 12 Apr 2012, 03:33    Post_subject:  

Been trying out Lupu-528 005. Very fine work from Micko and the others.

I always keep coming back to this puppy version - it's so pleasant on my system here.

As with other current-series Puppys, this version doesn't like my ATI Radeon 6450 video card (neither do the bigger Linuces).

There appears to be a problem with the open-source Radeon driver as used in conjunction with various kernel versions - in other words the open source ATI Radeon Driver is broken apparently. The propietary ATI FGLRX pet does not work either.

The workaround was to download the propriertary software from the ATI website, install the kernel source and compile it. This worked OK.

Compiz is working fine with XFCE4.

A minor wish is that I cannot seem to be able to configure the XFCE menu to reflect the normal JWM menu. This would make the menu system correspond more to the fashion to which I'm used. Any tricks I'm missing here?

_________________
Life is too short to spend it in front of a computer
Back to top
View user's profile Send_private_message Visit_website AIM 
Volhout


Joined: 28 Dec 2008
Posts: 387

PostPosted: Thu 12 Apr 2012, 03:53    Post_subject: Stellarium  

@Bigpup,

Tried a lupulibre frugal install in a virgin system (cleaned the partition).
Installed only Xorg High 1.1 pet from ibiblio lucid packages.
Verified that OpenGL is active.

Used the Stellarium SFS PlayDayz listed 20 posts back. Behaves the same. Crashes X.

Question: I noticed the Xorg High 1.1 pet is from June 2010. That is 1 month after release of Ubuntu Lucid. 528 is not puppy 501 anymore. We are 2 years down the road. Is there a more recent build ?? Maybe this one is outdated becuase of all the changes since mid 2010.

Regards,

Volhout

P.S. after X crashes due to Stellarium, my system needs a reboot. Even poweroff does not work anymore. poweroff forces a reboot. It feels like this goes deep....
Back to top
View user's profile Send_private_message 
LateAdopter

Joined: 27 May 2011
Posts: 154
Location: Reading UK

PostPosted: Thu 12 Apr 2012, 05:50    Post_subject:  

If anyone else needs an up-to-date ATI catalyst driver, Speedyluck posted a Lupu 528 PET for catalyst 12.3 in this thread:

http://www.murga-linux.com/puppy/viewtopic.php?t=77354

Perhaps Playdayz could add it to the repo.
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 12 Apr 2012, 10:44    Post_subject:  

Quote:
up-to-date ATI catalyst driver 12.3

Uploaded to the Lucid repo. Thanks LateAdopter and Speedyluck. Update the Lupu PPM by Quickpet -> More Pets -> Update Lupu PPM.

Quote:
I noticed the Xorg High 1.1 pet is from June 2010. That is 1 month after release of Ubuntu Lucid. 528 is not puppy 501 anymore. We are 2 years down the road. Is there a more recent build ?? Maybe this one is outdated becuase of all the changes since mid 2010.

Xorg is something that hasn't been changed in Lucid and almost certainly will not be changed, and it is definitely old. This is the one of the biggest weaknesses of Lucid. It is the reason tronkel above had trouble with his ati 6450, which is newer than the xserver. To my knowledge we never had a proprietary driver for intel video. Since Stellarium is working for me on the same version of Lupu Libre you are using it does seem that the problem may have to do with the video driver. Trying to update xorg would be a huge can of worms that would take more time than I have, and there are several new Puppies with newer xorg, so I have trouble justifying the time it would take. I do see a Lucid Update of the xserver though, but I would estimate the chance of help as very small. I have asked pemasu if he has a Stellarium.

You might ask stu90 who made the orignal pet and sfs if he has any ideas.
http://www.murga-linux.com/puppy/viewtopic.php?search_id=420727205&t=59277
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5142
Location: Charleston S.C. USA

PostPosted: Thu 12 Apr 2012, 12:29    Post_subject:  

Downloaded vlc-1.1.7.-full-lucid52 from PPM.
It seems to work OK, but did get this message after the install check.
Problem?
VLC From PPM.jpg
 Description   
 Filesize   33.24 KB
 Viewed   980 Time(s)

VLC From PPM.jpg


_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5142
Location: Charleston S.C. USA

PostPosted: Thu 12 Apr 2012, 12:48    Post_subject:  

Volhout,

What does Quickpet->file->report video say your video card is?

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
Volhout


Joined: 28 Dec 2008
Posts: 387

PostPosted: Thu 12 Apr 2012, 13:00    Post_subject:  

@bigpup: it is an intel 82845G grahics chip. The PC is 5+ years old compac evo desktop, so it should be supported by lucid drivers.

I'll try Stellarium on a different puppy (I have Slacko 3.2.7.3 and Racy 5.3). Both have newer kernels.

Thanks for your help... (PlayDayz, first I read your comment I started to realize it may be an enormous task, so forget about it....)
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5142
Location: Charleston S.C. USA

PostPosted: Thu 12 Apr 2012, 13:03    Post_subject:  

Someone want to try and get a good Intel video driver from this.
The glove is thrown down! Wink
http://intellinuxgraphics.org/

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked

Edited_time_total
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5142
Location: Charleston S.C. USA

PostPosted: Thu 12 Apr 2012, 13:48    Post_subject:  

Volhout wrote:
@bigpup: it is an intel 82845G grahics chip. The PC is 5+ years old compac evo desktop, so it should be supported by lucid drivers.

If you run xorgwizard there are some Intel driver options if you select choose.
Run test in xorgwizard to see what works.
You could try them and see what you get.
I would try on a fresh install and not have Xorg-High installed.
May still need Xorg-High to get openGL.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Thu 12 Apr 2012, 15:39    Post_subject:  

did fresh frugal instal lupu plus to same hp laptop.

wl recognized eth1 by sns but not able to make the connection.

connection wizard easily made connection on this troublesome

Broadcom Corporation BCM4313.

This is the opposite of yesterdays install lupulibre where

connection wizard failed and sns made the connection.

seems odd and cannot remember how prior install of lupu plus

went so attached file.
pmodemdiag-20120412.tar.gz
Description 
gz

 Download 
Filename  pmodemdiag-20120412.tar.gz 
Filesize  32.4 KB 
Downloaded  96 Time(s) 
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Thu 12 Apr 2012, 16:20    Post_subject:  

Quote:
About Stellarium: the SFS behaves identical to the 1.10.6 pet. It brings up the stellatium logo, then crashes X to terminal. You can type reboot to restart the PC. Please find attached stellarium log file. It seems it destroys QProcess ... does that ring a bell ?


http://www.murga-linux.com/puppy/viewtopic.php?p=619372#619372
Back to top
View user's profile Send_private_message 
gcmartin

Joined: 14 Oct 2005
Posts: 4276
Location: Earth

PostPosted: Thu 12 Apr 2012, 16:30    Post_subject: great LibreOffice integration with the Desktop  

This is an FYI!

"And, I noticed a phenomenon that I find interesting, at best. Playdayz's PUP528R5's LibreOffice version is a performance Superstar as compared with taking his base version and adding LibreOffice SFS or PET to it. In fact, it rivals TaZoC implementaion.

Wish I could explain why the integration has leapfroged a performance increase."

Hope this helps

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 12 Apr 2012, 16:40    Post_subject:  

Quote:
Wish I could explain why the integration has leapfroged a performance increase."

Libre Office is running from ram. Also --nologo makes it startup slightly faster, or at least seem to. Make sure to use the doc-type-LibO-set-1.pet for best integration.

-------------------------------------------------------------------------------------------------

TEASER

Don't know what will come of it, but it boots and connects, and reboots and creates and uses a pupsave.
teaser.png
 Description   
 Filesize   19.46 KB
 Viewed   944 Time(s)

teaser.png

Back to top
View user's profile Send_private_message 
Iguleder


Joined: 11 Aug 2009
Posts: 1907
Location: Israel, somewhere in the beautiful desert

PostPosted: Thu 12 Apr 2012, 16:55    Post_subject:  

My advice to you, playdayz: make a x86_64 flavor of this kernel. Wink

This has five benefits:
- Access to 4 GB (or more) RAM, without the PAE issues (e.g instability under certain circumstances).
- The ability to run x86_64 binaries (e.g compile x86_64 stuff from a chroot environment).
- The performance boost of 64-bit computing - e.g some heavy computations (such as compression) implemented in kernel mode are now faster.
- Same userland - no need to recompile anything or create a separate package repository, as with i486/i686 switching.
- Dual-kernel ISOs with two identical kernels - one for 64-bit machines and another for 32-bit ones - it's quite cool.

_________________
My homepage
Back to top
View user's profile Send_private_message Visit_website MSNM 
ICQ 
Display_posts:   Sort by:   
Page 103 of 190 Posts_count   Goto page: Previous 1, 2, 3, ..., 101, 102, 103, 104, 105, ..., 188, 189, 190 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1338s ][ Queries: 12 (0.0498s) ][ GZIP on ]